<style>
    .quotecolourss{
    padding: 8px 16px;
    text-transform: capitalize;
    box-shadow: 1px 11px 20px 0px rgb(239 63 62 / 12%);
    border-radius: 0.25rem;
    color: white !important;
    background-color: #3da5ce;
}
.selctrvlr{
    border: solid 1px #00000047;
    padding: 5px;
    border-radius: 10px;
}
.text-clr-white{
    color: white !important;
}
</style>

<link rel="stylesheet" href="assets/css/hotel.css" />

<link rel="stylesheet" href="assets/css/vuetify.min.css" />
 <script src="assets/js/bootstrap-3.4.1/bootstrap.min.js"></script> 
   <div class="modal-header">
        <h4 class="modal-title" id="modal-title" style="    color: black;
            margin-top: 8px;">
          Quotation
        </h4>
        <button type="button" class="close-ft closebutton" data-dismiss="modal" aria-hidden="true" ng-click="cancel();">×</button>
    </div>
   <div class="container"  style="overflow: scroll;
    overflow-x: hidden;">
 <div class="row col-lg-12" style="

 /* position: fixed; */
 background-color: white;
 width: 80%;
 z-index: 999;
">
<div class="col-md-2">
<label style="color: black;">E-mail
</label>
</div>
<div class="col-md-6">
<input type="email" id="email" ng-model="cordinatorDetails.email" ng-readonly="isDisabled"  class="form-control traveller-details-upper ng-invalid ng-touched ng-not-empty ng-dirty ng-valid-parse ng-invalid-email ng-valid-required" placeholder="E-mail" required="" style="">
<!-- <h5 style="margin-left:9px;    color: #37abda;
margin-top: 11px;">To</h5> -->
</div>
<div class="col-md-3">

<button type="submit" class="quotecolourss"  id="bookBtn" ng-If="!isDisabled" ng-click="sendQuotation();">Send Quote</button> 
</div>
 </div>
<div class="row" >
<div class="col-md-6">
<label style="color: black;">Internal Remarks
</label>
    <input type="textarea" id="internalRemarks" ng-model="cordinatorDetails.internalRemarks" ng-readonly="isDisabled" class="form-control  traveller-details-upper" placeholder="Internal Remarks" required />

</div>
<div class="col-md-6">
<label style="color: black;">Extranal Remarks
</label>
    <input type="textarea"  id="extranelRemarks" ng-model="cordinatorDetails.externalRemarks" ng-readonly="isDisabled" class="form-control  traveller-details-upper" placeholder="Extranal Remarks" required />

</div>
</div>	<br>
	
<div class="row tablecss" style="margin-left: 0px;  margin-right: 0px;">

           <table class="table datatable-basic table-striped dataTable no-footer" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
                    <thead>
					<tr role="row" style="    font-size: .875rem;background: #2195c3;" class="bk-tr">
					      <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th>
						    <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th>
							  <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th>
							    <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date" style="color:white;">Traveller List</th>
								  <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date"></th>
								    <th ng-show="travelFunctionality==true"class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date" style="text-align:end;color:white;">
                                        <button class="selctrvlr" ng-If="!isDisabled" ng-click="selectingTrvlr($event,any);">Select Traveler</button>
                                    </th>
                                    <th ng-show="travelFunctionality==false"class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date" style="text-align:end;color:white;"></th>
					</tr>
                        <tr role="row" style="    font-size: .875rem;" class="bk-tr">
                            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="From Date">S.NO</th> -->
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Pax Type">Pax Type</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="First Name">Pax Name</th>
                            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Last Name">Last Name</th> -->
                            <!-- <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Relationship">Relationship</th> -->
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Email">Email</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Phone No.">Phone No.</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Date Of Birth">Date Of Birth</th>
                            <th class="sorting_disabled" rowspan="1" colspan="1" aria-label="Passport No.">Passport No.</th>
                            
                        </tr>

                    </thead>
                   
                    <tbody class="bk-tbdy" style="font-size: 14px !important; font-weight: 500 !important;  overflow: auto !important; height:0px !important;">
                        
                    <tr ng-if="0" ng-repeat-start="travelRoom in selectTraveldata track by $index">
                     <!-- <span>Room - {{$index}}</span> -->
                    <tr role="row" class="odd"  ng-repeat="travelData in travelRoom.adtTraveller track by $index">								                   
                        <!-- <td>{{$index+1}}</td> -->
                        <td>ADULT</td>
                        <td>{{travelData.firstName}}</td>
                        <td>{{travelData.emailId}}</td>
                        <td ng-If="travelData.phoneNumber != null">{{travelData.countryCode}} {{travelData.phoneNumber}}</td>
                        <td ng-If="travelData.phoneNumber == null">-</td>
                        <td>{{travelData.dateOfBirth| date : ''}}</td>
                        <td>{{travelData.passportNo}}</td>

                    </tr>
                    <tr  role="row" class="odd"  ng-repeat="travelData in travelRoom.chdTraveller track by $index">
                        <!-- <td>{{$index+1}}</td> -->
                        <td>CHILD</td>
                        <td>{{travelData.firstName}}</td>
                        <td>{{travelData.emailId}}</td>
                        <td ng-If="travelData.phoneNumber != null">{{travelData.countryCode}} {{travelData.phoneNumber}}</td>
                        <td ng-If="travelData.phoneNumber == null">-</td>
                        <td>{{travelData.dateOfBirth | date : ''}}</td>
                        <td>{{travelData.passportNo}}</td>
                    </tr>
                    <tr ng-if="0" ng-repeat-end></tr>
                    </tr>
                </tbody>
            </table>
</div>

  
<style type="text/css">

.dataTable {
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}
    .nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
        border-top: #FFFFFF;
        border-right: #FFFFFF;
        border-left: #FFFFFF;
        border-bottom: 2px solid #0D9737;
        font-size: 15px;
    }
    .btn:hover{
        background-color:#3da5ce !important;
    }
    @media (min-width: 960px){
.container {
    max-width: 1210px !important;
}
    }
	.card-header {
	height:60px !important;
	}

</style>

<!-- <div> -->
  <div>
    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
            <a style=" font-size: 16px;" class="nav-link " id="home-tab" data-toggle="tab" data-target="#home" role="tab" aria-controls="home" aria-selected="true"><i class="las la-plane ni"></i>Flight</a>
        </li>
        <li class="nav-item">
            <a  style=" font-size: 16px; pointer-events: none;
            cursor: default;" class="nav-link active" id="profile-tab" data-toggle="tab" data-target="#profile" role="tab" aria-controls="profile" aria-selected="false"><i class="las la-bed ni"></i>Hotel</a>
        </li>
        <li class="nav-item">
            <a  style=" font-size: 16px; pointer-events: none;
            cursor: default;"class="nav-link" id="contact-tab" data-toggle="tab" data-target="#contact" role="tab" aria-controls="contact" aria-selected="false"><i class="las la-hand-holding-heart ni"></i>Insurance</a>
        </li>
    </ul>    
    <div class="tab-content" id="myTabContent">
        <div class="tab-pane container fade show" id="home" role="tabpanel" aria-labelledby="home-tab">         
            
        </div>
        <div class="tab-pane container fade active show" id="profile" role="tabpanel" aria-labelledby="profile-tab">
            <div ng-If="hotelQuotationLength >0" class="" ng-include="'views/hotel/hotelQuotation.html'">
            </div>
            <div ng-If="hotelQuotationLength == 0">
                <span class="travellercss" style="font: size 18px;color:red;" > &nbsp;&nbsp;No Quotation Available</span>
            </div>
        </div>
        <div class="tab-pane container fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">Insurance not available</div>
    </div>
</div>
<br>
<!-- <span class="travellercss" style="font: size 18px;color:red;" ng-show="flightDetailsQuotation.length==0 ||flightDetailsQuotation==null"> &nbsp;&nbsp;No Quotation Available</span> -->

</div>
    <div class="v-card__actions">
        <div class="spacer"></div> <button ng-If="!isDisabled" type="button" ng-click="cancel();" class="v-btn v-btn--flat v-btn--text theme--light v-size--default darken-1--text "><span class="v-btn__content">
          Close
        </span></button>
        <button ng-show="cordinatorDetails.status!='REJECTED'"  type="button" ng-click="hotelBook();" class="col-lg-2 text-clr-white btn btn-success v-btn v-btn--flat v-btn--text theme--light v-size--default darken-1--text "><span class="v-btn__content">
            Book
          </span></button></div>
		
        <script type="text/ng-template" id="addtravel.html">
            <div ng-include="'views/common/myTestModal.html'"></div>
        </script>